JobsPipe
API Explorer

Scan stack

Interactive reference and playground for POST /v1/stack/scan.

POST
/v1/stack/scan

Authorization

bearerAuth
AuthorizationBearer <token>

Your JobsPipe API key (starts with jp_live_).

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Tech-stack scan request.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/stack/scan" \  -H "Content-Type: application/json" \  -d '{    "domain": "string"  }'
{  "domain": "string",  "scanned_at": "string",  "http_status": 0,  "render_path": "string",  "detected": [    {      "slug": "string",      "name": "string",      "categories": [        "string"      ],      "confidence": 0,      "version": "string",      "signals": [        {          "kind": "string",          "match": "string"        }      ],      "description": "string",      "website": "string",      "icon": "string",      "pricing": [        "string"      ],      "saas": true,      "oss": true    }  ]}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}